Get a monitor
curl --request GET \
--url https://api.scrinly.com/render/monitors/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.scrinly.com/render/monitors/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scrinly.com/render/monitors/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.scrinly.com/render/monitors/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.scrinly.com/render/monitors/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.scrinly.com/render/monitors/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.scrinly.com/render/monitors/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"monitor": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "active",
"intervalMinutes": 123,
"baselineMode": "rolling",
"changeThreshold": 123,
"capture": {},
"diff": {
"mode": "perceptual",
"visualization": "overlay"
},
"createdAt": "2023-11-07T05:31:56Z",
"alerts": {},
"baselineRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"nextRunAt": "2023-11-07T05:31:56Z",
"lastRunAt": "2023-11-07T05:31:56Z",
"incident": {},
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": "<string>",
"type": "<string>",
"code": "<string>",
"retryable": true,
"fields": [
{
"field": "<string>",
"message": "<string>"
}
],
"credits": {
"charged": 1,
"refunded": 1,
"net": 1
}
}{
"success": false,
"error": "<string>",
"type": "<string>",
"code": "<string>",
"retryable": true,
"fields": [
{
"field": "<string>",
"message": "<string>"
}
],
"credits": {
"charged": 1,
"refunded": 1,
"net": 1
}
}Monitors
Get a monitor
GET
/
render
/
monitors
/
{id}
Get a monitor
curl --request GET \
--url https://api.scrinly.com/render/monitors/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.scrinly.com/render/monitors/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scrinly.com/render/monitors/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.scrinly.com/render/monitors/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.scrinly.com/render/monitors/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.scrinly.com/render/monitors/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.scrinly.com/render/monitors/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"monitor": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "active",
"intervalMinutes": 123,
"baselineMode": "rolling",
"changeThreshold": 123,
"capture": {},
"diff": {
"mode": "perceptual",
"visualization": "overlay"
},
"createdAt": "2023-11-07T05:31:56Z",
"alerts": {},
"baselineRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"nextRunAt": "2023-11-07T05:31:56Z",
"lastRunAt": "2023-11-07T05:31:56Z",
"incident": {},
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": "<string>",
"type": "<string>",
"code": "<string>",
"retryable": true,
"fields": [
{
"field": "<string>",
"message": "<string>"
}
],
"credits": {
"charged": 1,
"refunded": 1,
"net": 1
}
}{
"success": false,
"error": "<string>",
"type": "<string>",
"code": "<string>",
"retryable": true,
"fields": [
{
"field": "<string>",
"message": "<string>"
}
],
"credits": {
"charged": 1,
"refunded": 1,
"net": 1
}
}⌘I